import machine
import kooka
import fonts
from machine import Pin
import time


while True:
    kooka.display.setfont(fonts.sans12)
    kooka.display.fill(0)
    kooka.display.text(str('ON'), int(10), int(20), int(1))
    kooka.display.show()
    Pin("P1", Pin.OUT, value=1)
    time.sleep(2)
    kooka.display.fill(0)
    kooka.display.text(str('OFF'), int(50), int(60), int(1))
    kooka.display.show()
    Pin("P1", Pin.OUT, value=0)
    time.sleep(2)
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><block type="event_every_loop" id="M0Uw3M}~k;M9wtg@FX~O" x="-30" y="-970"><statement name="DO"><block type="display_setfont" id=":{mvTRh%=L!UL?EO3{X+"><field name="FONT">sans12</field><next><block type="display_clear" id="yPcaCe;(O)XozzWzu7G0"><next><block type="display_text" id="zKX5%xRh{|^`y%K.3XQU"><value name="VALUE"><shadow type="text" id="+@@M^LXU9r!w_zzBeX)|"><field name="TEXT">ON</field></shadow></value><value name="X"><shadow type="math_number" id="TzyBZ#]iyEw{P94EoJOy"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="Vj/pWyQPe7!WA?o?G9%U"><field name="NUM">20</field></shadow></value><value name="C"><shadow type="math_number" id="A^tHst7Geb{d9=Xx]u}`"><field name="NUM">1</field></shadow></value><next><block type="display_show" id="Q=(NYn(pE4(UDg!R^9+a"><next><block type="pin_on" id="ZxU-(Zkr*]q(LEI*:yk0"><field name="PIN">P1</field><next><block type="time_sleep" id="FUgYj}GV+O81~?./in#m"><value name="VALUE"><shadow type="math_number" id="d+!^;DHe$c0I~2bzQfj9"><field name="NUM">2</field></shadow></value><next><block type="display_clear" id="%QsaN$j]|-v?_{l[o+2f"><next><block type="display_text" id="7~[j6)Kpe588~tF=3@+:"><value name="VALUE"><shadow type="text" id="RBKGAIdS`:|g/:kjyl7p"><field name="TEXT">OFF</field></shadow></value><value name="X"><shadow type="math_number" id="GoUyGWtn;k*,s^e-@X0l"><field name="NUM">50</field></shadow></value><value name="Y"><shadow type="math_number" id="-#56Mf0pgek}(4f0d65}"><field name="NUM">60</field></shadow></value><value name="C"><shadow type="math_number" id="NM^i`]J,dx8T-~nJW`t["><field name="NUM">1</field></shadow></value><next><block type="display_show" id="|8C/O$EzT*Zi-]TP:PQb"><next><block type="pin_off" id="B^@*j8h_9RH,ID,4^K]C"><field name="PIN">P1</field><next><block type="time_sleep" id="?Z_a9QEZDJ_M0q@U_SFH"><value name="VALUE"><shadow type="math_number" id="Z:VG*?b:.2o5^W2PHLKL"><field name="NUM">2</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml>
